from pathlib import Path
from typing import List
from shiny import App, ui, Inputs, Outputs, Session
from shiny.types import NavSetArg
from src import mod_welcome


def nav_controls() -> List[NavSetArg]:
    return [
        ui.nav(ui.h5("Intro"), mod_welcome.welcome_ui("Intro"), value="intro"),
        ui.nav(ui.h5("Datensatz Analyse"), "Datensatz Analyse"),
        ui.nav_control(
            ui.a(
                ui.h5("AG-Link"),
                href="https://ag-link.xyz",
                target="_blank",
            ),
        ),
    ]


app_ui = ui.page_navbar(
    *nav_controls(),
    selected="intro",
    fluid=False,
    title=ui.div(ui.img(src="favicon.ico", width="75dpi", height="75dpi"),
                 ui.h3("Copbird")),
    lang="de",
    window_title="Copbird",
    collapsible=True,
    bg="#ba289f",
    inverse=True,
    id="Intro",
)


def server(input: Inputs, output: Outputs, session: Session):
    # mod_welcome.welcome_server()
    pass


static_dir = Path(__file__).parent / "www"

app = App(app_ui, server, static_assets=static_dir)
